diff --git a/wcs/formdata.py b/wcs/formdata.py
index 581075017..dbbdecc72 100644
--- a/wcs/formdata.py
+++ b/wcs/formdata.py
@@ -424,16 +424,13 @@ class FormData(StorableObject):
 
     @classmethod
     def get_actionable_count(cls, user_roles):
-        if get_publisher().is_using_postgresql():
-            statuses = ['wf-%s' % x.id for x in cls._formdef.workflow.get_not_endpoint_status()]
-            criterias = [
-                Intersects('actions_roles_array', user_roles),
-                Contains('status', statuses),
-                Null('anonymised'),
-            ]
-            return cls.count(criterias)
-        else:
-            return len(cls.get_actionable_ids(user_roles))
+        statuses = ['wf-%s' % x.id for x in cls._formdef.workflow.get_not_endpoint_status()]
+        criterias = [
+            Intersects('actions_roles_array', user_roles),
+            Contains('status', statuses),
+            Null('anonymised'),
+        ]
+        return cls.count(criterias)
 
     @classmethod
     def get_actionable_ids_criteria(cls, user_roles):
@@ -442,17 +439,7 @@ class FormData(StorableObject):
 
     @classmethod
     def get_actionable_ids(cls, user_roles):
-        if get_publisher().is_using_postgresql():
-            return cls.keys([cls.get_actionable_ids_criteria(user_roles)])
-        else:
-            statuses = ['wf-%s' % x.id for x in cls._formdef.workflow.get_not_endpoint_status()]
-            actions_ids = set()
-            for role in user_roles:
-                actions_ids |= set(cls.get_ids_with_indexed_value('actions_roles', str(role)))
-            open_ids = []
-            for status_id in statuses:
-                open_ids.extend(cls.get_ids_with_indexed_value('status', status_id))
-            return list(actions_ids.intersection(open_ids))
+        return cls.keys([cls.get_actionable_ids_criteria(user_roles)])
 
     @classmethod
     def get_submission_channels(cls):
diff --git a/wcs/formdef.py b/wcs/formdef.py
index dbbd12cb7..be9e15e90 100644
--- a/wcs/formdef.py
+++ b/wcs/formdef.py
@@ -44,7 +44,7 @@ from .qommon.cron import CronJob
 from .qommon.form import Form, HtmlWidget, UploadedFile
 from .qommon.misc import JSONEncoder, get_as_datetime, is_attachment, is_upload, simplify, xml_node_text
 from .qommon.publisher import get_publisher_class
-from .qommon.storage import Equal, StorableObject, StrictNotEqual, fix_key
+from .qommon.storage import Equal, StorableObject, fix_key
 from .qommon.substitution import Substitutions
 from .qommon.template import Template
 from .roles import logged_users_role
@@ -329,7 +329,7 @@ class FormDef(StorableObject):
     @classmethod
     def remove_object(cls, id):
         super().remove_object(id)
-        if get_publisher().is_using_postgresql() and cls == FormDef:
+        if cls == FormDef:
             # recreate global views so they don't reference formdata from
             # deleted formefs
             from . import sql
@@ -352,7 +352,7 @@ class FormDef(StorableObject):
             # formdef
             if data_class._formdef is self:
                 return data_class
-        if (get_publisher().is_using_postgresql() and not mode == 'files') or mode == 'sql':
+        if (not mode == 'files') or mode == 'sql':
             from . import sql
 
             table_name = sql.get_formdef_table_name(self)
@@ -411,8 +411,7 @@ class FormDef(StorableObject):
     @classmethod
     def get_new_id(cls, create=False):
         id = super().get_new_id(create=False)
-        if get_publisher().is_using_postgresql():
-            id = cls.get_sql_new_id(id_start=int(id))
+        id = cls.get_sql_new_id(id_start=int(id))
         if create:
             objects_dir = cls.get_objects_dir()
             object_filename = os.path.join(objects_dir, fix_key(id))
@@ -443,8 +442,7 @@ class FormDef(StorableObject):
     @classmethod
     def wipe(cls):
         super().wipe()
-        if get_publisher().is_using_postgresql():
-            cls.sql_wipe()
+        cls.sql_wipe()
 
     @classmethod
     def sql_wipe(cls):
@@ -457,6 +455,9 @@ class FormDef(StorableObject):
         if self.url_name is None:
             # set url name if it's not yet there
             self.url_name = self.get_new_url_name()
+
+        object_only = kwargs.pop('object_only', False)
+
         new_internal_identifier = self.get_new_internal_identifier()
         if not self.internal_identifier:
             self.internal_identifier = new_internal_identifier
@@ -466,9 +467,8 @@ class FormDef(StorableObject):
             # or if there are not yet any submitted forms (or if site
             # is using the SQL storage as internal identifier is not used
             # in that mode.
-            if self.id is None or get_publisher().is_using_postgresql() or not (self.data_class().exists()):
+            if self.id is None or not self.data_class().exists():
                 self.internal_identifier = new_internal_identifier
-        object_only = kwargs.pop('object_only', False)
 
         if not object_only:
             self.update_relations()
@@ -487,9 +487,6 @@ class FormDef(StorableObject):
             self.store_related_custom_views()
 
     def update_storage(self):
-        if not get_publisher().is_using_postgresql():
-            return
-
         from . import sql
 
         actions = sql.do_formdef_tables(self, rebuild_views=True, rebuild_global_views=True)
@@ -1919,7 +1916,6 @@ class FormDef(StorableObject):
                 status.id in status_mapping for status in old_workflow.possible_status
             ), 'a status was not mapped'
 
-            unmapped_status_suffix = '-invalid-%s' % str(self.workflow_id or 'default')
             mapping = {}
             for old_status, new_status in status_mapping.items():
                 mapping['wf-%s' % old_status] = 'wf-%s' % new_status
@@ -1927,28 +1923,9 @@ class FormDef(StorableObject):
 
             if any(x[0] != x[1] for x in mapping.items()):
                 # if there are status changes, update all formdatas (except drafts)
-                if get_publisher().is_using_postgresql():
-                    from . import sql
-
-                    sql.formdef_remap_statuses(self, mapping)
-                else:
+                from . import sql
 
-                    def map_status(status):
-                        if status is None:
-                            return None
-                        elif status in mapping:
-                            return mapping[status]
-                        elif '-invalid-' in status:
-                            return status
-                        else:
-                            return '%s%s' % (status, unmapped_status_suffix)
-
-                    for formdata in self.data_class().select([StrictNotEqual('status', 'draft')]):
-                        formdata.status = map_status(formdata.status)
-                        if formdata.evolution:
-                            for evo in formdata.evolution:
-                                evo.status = map_status(evo.status)
-                        formdata.store()
+                sql.formdef_remap_statuses(self, mapping)
 
         self.workflow = new_workflow
         if new_workflow.has_action('geolocate') and not self.geolocations:
diff --git a/wcs/forms/backoffice.py b/wcs/forms/backoffice.py
index c0f827118..e7673fa64 100644
--- a/wcs/forms/backoffice.py
+++ b/wcs/forms/backoffice.py
@@ -46,15 +46,12 @@ class FormDefUI:
     ):
         # noqa pylint: disable=too-many-arguments
 
-        using_postgresql = get_publisher().is_using_postgresql()
-
         if not items:
             if offset and not limit:
                 limit = int(get_publisher().get_site_option('default-page-size') or 20)
             if not criterias:
                 criterias = []
-            if using_postgresql:
-                criterias.append(Null('anonymised'))
+            criterias.append(Null('anonymised'))
             items, total_count = self.get_listing_items(
                 fields,
                 selected_filter,
@@ -101,7 +98,7 @@ class FormDefUI:
         r += htmltext('</colgroup>')
 
         r += htmltext('<thead><tr>')
-        if self.formdef.workflow.criticality_levels and using_postgresql:
+        if self.formdef.workflow.criticality_levels:
             r += htmltext(
                 '<th class="criticality-level-cell" data-field-sort-key="criticality_level"><span></span></th>'
             )
@@ -127,7 +124,7 @@ class FormDefUI:
             else:
                 field_sort_key = 'f%s' % f.contextual_id
 
-            if field_sort_key and using_postgresql:
+            if field_sort_key:
                 r += htmltext('<th data-field-sort-key="%s">') % field_sort_key
             else:
                 r += htmltext('<th>')
@@ -144,9 +141,8 @@ class FormDefUI:
         r += htmltext('</tbody>')
         r += htmltext('</table>')
 
-        if get_publisher().is_using_postgresql():
-            # add links to paginate
-            r += pagination_links(offset, limit, total_count)
+        # add links to paginate
+        r += pagination_links(offset, limit, total_count)
 
         return r.getvalue()
 
@@ -159,96 +155,6 @@ class FormDefUI:
         user=None,
         criterias=None,
         anonymise=False,
-    ):
-        if get_publisher().is_using_postgresql():
-            return self.get_listing_item_ids_sql(
-                selected_filter, selected_filter_operator, query, order_by, user, criterias, anonymise
-            )
-
-        def get_all_except_drafts():
-            item_ids = formdata_class.keys()
-            drafts = formdata_class.get_ids_with_indexed_value('status', 'draft')
-            return [x for x in item_ids if x not in drafts]
-
-        formdata_class = self.formdef.data_class()
-        # used for postgresql mode only
-        if selected_filter == 'all':
-            if selected_filter_operator == 'ne':
-                # nothing
-                item_ids = []
-            else:
-                # all except drafts
-                item_ids = get_all_except_drafts()
-        elif selected_filter == 'waiting':
-            user_roles = [logged_users_role().id] + user.get_roles()
-            waiting_item_ids = formdata_class.get_actionable_ids(user_roles)
-            if selected_filter_operator == 'ne':
-                # select all ids except drafts
-                item_ids = get_all_except_drafts()
-                # exclude waiting ids
-                item_ids = [x for x in item_ids if x not in waiting_item_ids]
-            else:
-                # only waiting ids
-                item_ids = waiting_item_ids
-        else:
-            # build selected status list
-            applied_filters = []
-            if selected_filter == 'pending':
-                applied_filters = ['wf-%s' % x.id for x in self.formdef.workflow.get_not_endpoint_status()]
-            elif selected_filter == 'done':
-                applied_filters = ['wf-%s' % x.id for x in self.formdef.workflow.get_endpoint_status()]
-            else:
-                applied_filters = ['wf-%s' % selected_filter]
-
-            filtered_item_ids = []
-            for status_id in applied_filters:
-                filtered_item_ids.extend(
-                    formdata_class.get_ids_with_indexed_value(
-                        'status',
-                        status_id,
-                    )
-                )
-            if selected_filter_operator == 'ne':
-                # select all ids except drafts
-                item_ids = get_all_except_drafts()
-                # exclude selected status list
-                item_ids = [x for x in item_ids if x not in filtered_item_ids]
-            else:
-                # only selected status list
-                item_ids = filtered_item_ids
-
-        if query:
-            query_ids = formdata_class.get_ids_from_query(query)
-            item_ids = list(set(item_ids).intersection(query_ids))
-
-        if criterias:
-            select_ids = formdata_class.keys(clause=criterias)
-            item_ids = list(set(item_ids).intersection(select_ids))
-
-        if item_ids and not anonymise:
-            # as we are in the backoffice, we don't have to care about the
-            # situation where the user is the submitter, and we limit ourselves
-            # to consider treating roles.
-            if not user.is_admin:
-                user_roles = set(user.get_roles())
-                concerned_ids = set()
-                for role in user_roles:
-                    concerned_ids |= set(
-                        formdata_class.get_ids_with_indexed_value('concerned_roles', str(role))
-                    )
-                item_ids = list(set(item_ids).intersection(concerned_ids))
-
-        return item_ids
-
-    def get_listing_item_ids_sql(
-        self,
-        selected_filter,
-        selected_filter_operator,
-        query,
-        order_by,
-        user,
-        criterias,
-        anonymise,
     ):
         formdata_class = self.formdef.data_class()
         criterias = [] or criterias[:]
@@ -354,9 +260,6 @@ class FormDefUI:
             criterias=criterias,
             anonymise=anonymise,
         )
-        if not get_publisher().is_using_postgresql():
-            item_ids.sort(key=int)
-            item_ids.reverse()
 
         total_count = len(item_ids)
 
@@ -364,8 +267,7 @@ class FormDefUI:
             offset = 0
 
         kwargs = {}
-        if get_publisher().is_using_postgresql():
-            kwargs['fields'] = fields
+        kwargs['fields'] = fields
 
         if limit:
             items = formdata_class.get_ids(item_ids[offset : offset + limit], keep_order=True, **kwargs)
diff --git a/wcs/publisher.py b/wcs/publisher.py
index d3e25e6e1..28742dfa1 100644
--- a/wcs/publisher.py
+++ b/wcs/publisher.py
@@ -132,9 +132,6 @@ class WcsPublisher(QommonPublisher):
 
         DeprecationsScanAfterJob().execute()
 
-    def is_using_postgresql(self):
-        return True
-
     def has_postgresql_config(self):
         return bool(self.cfg.get('postgresql', {}))
 
@@ -467,10 +464,9 @@ class WcsPublisher(QommonPublisher):
 
     def cleanup(self):
         self._cached_user_fields_formdef = None
-        if self.is_using_postgresql():
-            from . import sql
+        from . import sql
 
-            sql.cleanup_connection()
+        sql.cleanup_connection()
 
     @contextmanager
     def complex_data(self):
diff --git a/wcs/qommon/cron.py b/wcs/qommon/cron.py
index 90a227666..25686cdc2 100644
--- a/wcs/qommon/cron.py
+++ b/wcs/qommon/cron.py
@@ -84,8 +84,7 @@ def cron_worker(publisher, now, job_name=None, delayed_jobs=None):
         jobs = delayed_jobs
     else:
         # reindex user and formdata if needed (should only be run once)
-        if publisher.is_using_postgresql():
-            publisher.reindex_sql()
+        publisher.reindex_sql()
 
         jobs = []
 
diff --git a/wcs/qommon/tokens.py b/wcs/qommon/tokens.py
index e059901b9..27c31466c 100644
--- a/wcs/qommon/tokens.py
+++ b/wcs/qommon/tokens.py
@@ -19,7 +19,6 @@ import random
 import string
 
 from django.utils.timezone import make_aware, now
-from quixote import get_publisher
 
 from .storage import Equal, Less, StorableObject
 
@@ -75,16 +74,5 @@ class Token(StorableObject):
 
     @classmethod
     def clean(cls):
-        if get_publisher().is_using_postgresql():
-            # noqa pylint: disable=unexpected-keyword-arg
-            cls.wipe(clause=[Less('expiration', now())])
-        else:
-            for token_id in cls.keys():
-                try:
-                    cls.get(token_id)  # will run migrate, will check expiration
-                except KeyError:
-                    pass
-                except AttributeError:
-                    # old python2 tokens:
-                    # AttributeError: module 'builtins' has no attribute 'unicode'
-                    cls.remove_object(token_id)
+        # noqa pylint: disable=unexpected-keyword-arg
+        cls.wipe(clause=[Less('expiration', now())])
diff --git a/wcs/sql.py b/wcs/sql.py
index 6d9a611da..03df9ba60 100644
--- a/wcs/sql.py
+++ b/wcs/sql.py
@@ -1581,9 +1581,6 @@ def do_meta_table(conn=None, cur=None, insert_current_sql_level=True):
 
 @guard_postgres
 def redo_views(conn, cur, formdef, rebuild_global_views=False):
-    if get_publisher().get_site_option('postgresql_views') == 'false':
-        return
-
     if formdef.id is None:
         return
 
@@ -1961,9 +1958,13 @@ class SqlMixin:
             sql_statement += ' WHERE ' + ' AND '.join(where_clauses)
         sql_statement += ' LIMIT 1'
         conn, cur = get_connection_and_cursor()
-        cur.execute(sql_statement, parameters)
-        check = cur.fetchone()
-        result = check is not None
+        try:
+            cur.execute(sql_statement, parameters)
+        except psycopg2.errors.UndefinedTable:
+            result = False
+        else:
+            check = cur.fetchone()
+            result = check is not None
         conn.commit()
         cur.close()
         return result
diff --git a/wcs/statistics/views.py b/wcs/statistics/views.py
index 8f9912f0c..29eaef8a7 100644
--- a/wcs/statistics/views.py
+++ b/wcs/statistics/views.py
@@ -19,7 +19,6 @@ import collections
 from django.http import HttpResponseBadRequest, HttpResponseForbidden, JsonResponse
 from django.urls import reverse
 from django.views.generic import View
-from quixote import get_publisher
 
 from wcs import sql
 from wcs.api_utils import is_url_signed
@@ -42,9 +41,6 @@ class RestrictedView(View):
 
 class IndexView(RestrictedView):
     def get(self, request, *args, **kwargs):
-        if not get_publisher().is_using_postgresql():
-            return JsonResponse({'data': [], 'err': 0})
-
         categories = Category.select()
         categories.sort(key=lambda x: misc.simplify(x.name))
         category_options = [{'id': '_all', 'label': C_('categories|All')}] + [
@@ -306,8 +302,6 @@ class FormsCountView(RestrictedView):
                 for status in waitpoint_status:
                     options.append((status.id, status.name))
             elif field.type in ('item', 'items'):
-                if not get_publisher().is_using_postgresql():
-                    continue
                 options = form_page.get_item_filter_options(field, selected_filter='all', anonymised=True)
                 if not options:
                     continue
diff --git a/wcs/users.py b/wcs/users.py
index 00ab922be..176b3aabb 100644
--- a/wcs/users.py
+++ b/wcs/users.py
@@ -188,9 +188,6 @@ class User(StorableObject):
 
     @classmethod
     def get_users_with_roles(cls, included_roles=None, excluded_roles=None, order_by=None):
-        if not get_publisher().is_using_postgresql():
-            return []
-
         from wcs import sql
 
         criterias = [sql.Null('deleted_timestamp')]
diff --git a/wcs/variables.py b/wcs/variables.py
index 5478434e5..9014683b0 100644
--- a/wcs/variables.py
+++ b/wcs/variables.py
@@ -69,10 +69,7 @@ class LazyFormDefObjectsManager:
         )
 
     def order_by(self, attribute):
-        if get_publisher().is_using_postgresql():
-            field = self.get_field(attribute)
-        else:
-            field = None  # no support for field search
+        field = self.get_field(attribute)
         return self._clone(self._criterias, order_by=field or attribute)
 
     def limit(self, limit):
diff --git a/wcs/wf/jump.py b/wcs/wf/jump.py
index bc1e8b5d7..624dd458b 100644
--- a/wcs/wf/jump.py
+++ b/wcs/wf/jump.py
@@ -340,28 +340,25 @@ def _apply_timeouts(publisher, **kwargs):
         ) if job else contextlib.ExitStack():
             formdata_class = formdef.data_class()
             for status_id in status_ids:
-                if publisher.is_using_postgresql():
-                    # get minimum delay for jumps in this status
-                    delay = math.inf
-                    for jump_action in wfs_status[str(formdef.workflow_id)][status_id]:
-                        if Template.is_template_string(jump_action.timeout):
-                            delay = 0
-                            break
-                        delay = min(delay, int(jump_action.timeout))
-                    # limit delay to minimal delay
-                    if delay < JUMP_TIMEOUT_INTERVAL * 60:
-                        delay = JUMP_TIMEOUT_INTERVAL * 60
-
-                    criterias = [
-                        Equal('status', status_id),
-                        LessOrEqual(
-                            'last_update_time',
-                            (datetime.datetime.now() - datetime.timedelta(seconds=delay)).timetuple(),
-                        ),
-                    ]
-                    formdatas = formdata_class.select_iterator(criterias, ignore_errors=True, itersize=200)
-                else:
-                    formdatas = formdata_class.get_with_indexed_value('status', status_id, ignore_errors=True)
+                # get minimum delay for jumps in this status
+                delay = math.inf
+                for jump_action in wfs_status[str(formdef.workflow_id)][status_id]:
+                    if Template.is_template_string(jump_action.timeout):
+                        delay = 0
+                        break
+                    delay = min(delay, int(jump_action.timeout))
+                # limit delay to minimal delay
+                if delay < JUMP_TIMEOUT_INTERVAL * 60:
+                    delay = JUMP_TIMEOUT_INTERVAL * 60
+
+                criterias = [
+                    Equal('status', status_id),
+                    LessOrEqual(
+                        'last_update_time',
+                        (datetime.datetime.now() - datetime.timedelta(seconds=delay)).timetuple(),
+                    ),
+                ]
+                formdatas = formdata_class.select_iterator(criterias, ignore_errors=True, itersize=200)
 
                 for formdata in formdatas:
                     for jump_action in wfs_status[str(formdef.workflow_id)][formdata.status]:
-- 
2.36.1

